Bug 847116 - CryptoError: luks_close failed for luks-4060e21d-33b9-4157-8019-409223d28372
CryptoError: luks_close failed for luks-4060e21d-33b9-4157-8019-409223d28372
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:c14bb725cd15bd1bf0c46a46fbe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 14:27 EDT by Clemens Eisserer
Modified: 2013-05-10 10:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-07 19:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-62jlOv (690.18 KB, text/plain)
2012-08-09 14:27 EDT, Clemens Eisserer
no flags Details

  None (edit)
Description Clemens Eisserer 2012-08-09 14:27:16 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-62jlOv
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Thu 09 Aug 2012 10:26:48 PM CEST
version:        17

anaconda-tb-62jlOv: Text file, 706742 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/crypto.py", line 123, in luks_close
:    raise CryptoError("luks_close failed for %s" % name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/luks.py", line 185, in teardown
:    crypto.luks_close(self.mapName)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 746, in _preTeardown
:    self.originalFormat.teardown()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 761, in teardown
:    if not self._preTeardown(recursive=recursive):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 312, in teardownParents
:    parent.teardown(recursive=recursive)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1952, in _postTeardown
:    self.teardownParents(recursive=recursive)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 765, in teardown
:    self._postTeardown(recursive=recursive)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2367, in umountFilesystems
:    device.teardown()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1426, in umountFilesystems
:    self.fsset.umountFilesystems(ignoreErrors=ignoreErrors, swapoff=swapoff)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/livecd.py", line 137, in doPreInstall
:    anaconda.storage.umountFilesystems(swapoff = False)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/backend.py", line 199, in doPreInstall
:    anaconda.backend.doPreInstall(anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
:    self.intf.icw.nextClicked()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1221, in handleRenderCallback
:    self.currentWindow.renderCallback()
:CryptoError: luks_close failed for luks-4060e21d-33b9-4157-8019-409223d28372

environ:
:LC_NUMERIC=C
:LIBUSER_CONF=/tmp/libuser.pmG9wC
:LVM_SUPPRESS_FD_WARNINGS=1
:LOGNAME=root
:USER=root
:GCONF_GLOBAL_LOCKS=1
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:0.0
:ANACONDA_PRODUCTNAME=Fedora
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:TZ=Europe/Vienna
:XAUTHORITY=/root/.xauthgII8LF
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=1
:GNOME_DISABLE_CRASH_DIALOG=1
:ANACONDA_PRODUCTVERSION=17
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:USERHELPER_UID=1000
:ANACONDA_ISFINAL=true
:_=/sbin/anaconda
:PWD=/home/liveuser
:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1253-0-localhost.localdomain_TIME0
Comment 1 Clemens Eisserer 2012-08-09 14:27:23 EDT
Created attachment 603330 [details]
File: anaconda-tb-62jlOv
Comment 2 Brian Lane 2013-05-07 19:46:15 EDT
F17 is ancient history at this point.
Comment 3 Clemens Eisserer 2013-05-10 10:08:38 EDT
F17 is ancient history, yet not a single engineer looked at this report ever (as it is the case with most of the reports I file).

I will reconsider filing reports like this...

Note You need to log in before you can comment on or make changes to this bug.